The Campaign Manager 360 API lets you disclose assets as AI generated or edited. Labels will be applied to ads with such assets serving in regions with local AI labeling regulations. As of today, those regions are the European Union (EU), India, and New York state.
Learn more in the Campaign Manager 360 Help Center.
Support in Campaign Manager 360 API
The Campaign Manager 360 API includes an optional field,
syntheticContentAttestationStatus, on the
Creative resource. This field lets you specify whether a creative
contains content that was created or edited with AI.
Setting syntheticContentAttestationStatus to IS_SYNTHETIC applies the label
in the regions listed earlier, while setting it to NOT_SYNTHETIC confirms
that the content does not require a label. You can also leave the field unset.
A label won't be applied if the field is left unset.
Valid values for the
syntheticContentAttestationStatus field are shown
in the following table:
| Value | Description |
|---|---|
SYNTHETIC_CONTENT_ATTESTATION_STATUS_UNSPECIFIED |
The attestation has not been provided. This is the default value. |
NOT_SYNTHETIC |
Attested as not created or edited with AI. |
IS_SYNTHETIC |
Attested as created or edited with AI. |
For more information on how setting this field affects ad serving, refer to the Campaign Manager 360 Help Center.
How to set the attestation
Existing creatives
To set the AI content attestation for an existing creative, send a request to
the creatives.patch endpoint, specifying the creative ID as a query
parameter.
REST
PATCH https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/creatives?id={creativeId}
Set the syntheticContentAttestationStatus field to either IS_SYNTHETIC
or NOT_SYNTHETIC in the request body.
{
"syntheticContentAttestationStatus": "IS_SYNTHETIC"
}
You can also update the field by including it in a standard
creatives.update request.
New creatives
To set the AI content attestation when creating a new creative, include the
syntheticContentAttestationStatus field (set to either IS_SYNTHETIC or
NOT_SYNTHETIC) in the request body of your creatives.insert request.
To learn more about creating new Creative resources, see
Create a creative.